diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/nav-menu-template.php ./wordpress-3.4/wp-includes/nav-menu-template.php
*** ./wordpress-3.3.2/wp-includes/nav-menu-template.php	2012-01-03 12:27:59.000000000 -0600
--- ./wordpress-3.4/wp-includes/nav-menu-template.php	2012-04-18 14:06:22.000000000 -0500
***************
*** 37,43 ****
  	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param int $depth Depth of page. Used for padding.
  	 */
! 	function start_lvl(&$output, $depth) {
  		$indent = str_repeat("\t", $depth);
  		$output .= "\n$indent<ul class=\"sub-menu\">\n";
  	}
--- 37,43 ----
  	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param int $depth Depth of page. Used for padding.
  	 */
! 	function start_lvl( &$output, $depth = 0, $args = array() ) {
  		$indent = str_repeat("\t", $depth);
  		$output .= "\n$indent<ul class=\"sub-menu\">\n";
  	}
***************
*** 49,55 ****
  	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param int $depth Depth of page. Used for padding.
  	 */
! 	function end_lvl(&$output, $depth) {
  		$indent = str_repeat("\t", $depth);
  		$output .= "$indent</ul>\n";
  	}
--- 49,55 ----
  	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param int $depth Depth of page. Used for padding.
  	 */
! 	function end_lvl( &$output, $depth = 0, $args = array() ) {
  		$indent = str_repeat("\t", $depth);
  		$output .= "$indent</ul>\n";
  	}
***************
*** 64,70 ****
  	 * @param int $current_page Menu item ID.
  	 * @param object $args
  	 */
! 	function start_el(&$output, $item, $depth, $args) {
  		global $wp_query;
  		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
  
--- 64,70 ----
  	 * @param int $current_page Menu item ID.
  	 * @param object $args
  	 */
! 	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
  		global $wp_query;
  		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';
  
***************
*** 74,83 ****
  		$classes[] = 'menu-item-' . $item->ID;
  
  		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
! 		$class_names = ' class="' . esc_attr( $class_names ) . '"';
  
  		$id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
! 		$id = strlen( $id ) ? ' id="' . esc_attr( $id ) . '"' : '';
  
  		$output .= $indent . '<li' . $id . $value . $class_names .'>';
  
--- 74,83 ----
  		$classes[] = 'menu-item-' . $item->ID;
  
  		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item, $args ) );
! 		$class_names = $class_names ? ' class="' . esc_attr( $class_names ) . '"' : '';
  
  		$id = apply_filters( 'nav_menu_item_id', 'menu-item-'. $item->ID, $item, $args );
! 		$id = $id ? ' id="' . esc_attr( $id ) . '"' : '';
  
  		$output .= $indent . '<li' . $id . $value . $class_names .'>';
  
***************
*** 103,109 ****
  	 * @param object $item Page data object. Not used.
  	 * @param int $depth Depth of page. Not Used.
  	 */
! 	function end_el(&$output, $item, $depth) {
  		$output .= "</li>\n";
  	}
  }
--- 103,109 ----
  	 * @param object $item Page data object. Not used.
  	 * @param int $depth Depth of page. Not Used.
  	 */
! 	function end_el( &$output, $item, $depth = 0, $args = array() ) {
  		$output .= "</li>\n";
  	}
  }
***************
*** 113,119 ****
   *
   * Optional $args contents:
   *
!  * menu - The menu that is desired.  Accepts (matching in order) id, slug, name. Defaults to blank.
   * menu_class - CSS class to use for the ul element which forms the menu. Defaults to 'menu'.
   * menu_id - The ID that is applied to the ul element which forms the menu. Defaults to the menu slug, incremented.
   * container - Whether to wrap the ul, and what to wrap it with. Defaults to 'div'.
--- 113,119 ----
   *
   * Optional $args contents:
   *
!  * menu - The menu that is desired. Accepts (matching in order) id, slug, name. Defaults to blank.
   * menu_class - CSS class to use for the ul element which forms the menu. Defaults to 'menu'.
   * menu_id - The ID that is applied to the ul element which forms the menu. Defaults to the menu slug, incremented.
   * container - Whether to wrap the ul, and what to wrap it with. Defaults to 'div'.
***************
*** 125,133 ****
   * link_before - Text before the link.
   * link_after - Text after the link.
   * echo - Whether to echo the menu or return it. Defaults to echo.
!  * depth - how many levels of the hierarchy are to be included.  0 means all.  Defaults to 0.
   * walker - allows a custom walker to be specified.
!  * theme_location - the location in the theme to be used.  Must be registered with register_nav_menu() in order to be selectable by the user.
   * items_wrap - How the list items should be wrapped. Defaults to a ul with an id and class. Uses printf() format with numbered placeholders.
   *
   * @since 3.0.0
--- 125,133 ----
   * link_before - Text before the link.
   * link_after - Text after the link.
   * echo - Whether to echo the menu or return it. Defaults to echo.
!  * depth - how many levels of the hierarchy are to be included. 0 means all. Defaults to 0.
   * walker - allows a custom walker to be specified.
!  * theme_location - the location in the theme to be used. Must be registered with register_nav_menu() in order to be selectable by the user.
   * items_wrap - How the list items should be wrapped. Defaults to a ul with an id and class. Uses printf() format with numbered placeholders.
   *
   * @since 3.0.0
